function fishy -d "Run fish in a non-standard way" -a fishy_opt
    if test -z "$fishy_opt"
        printf "How do you want to run fish?\n 1) In private mode\n 2) With default config\n"
        read fishy_opt -P "> "
    end
    switch $fishy_opt
        case 1
            echo "Starting fish in private mode..."
            fish --private
        case 2
            echo "Starting fish with default configuration..."
            HOME=(mktemp -d) fish
        case '*'
            echo (set_color red)"Invalid option: [$fishy_opt]"(set_color normal)
            return 1
    end
end
